__all__ = [
    'Owner',
]
import toloka.client.primitives.base
import typing


class Owner(toloka.client.primitives.base.BaseTolokaObject):
    """Information about a requester who owns some object.

    Attributes:
        id: The ID of the requester.
        myself: A match of the owner OAuth token with the token that is used in the request:
                * `True` — The tokens are the same.
                * `False` — The tokens are different.
        company_id: The ID of the requester's company.
    """

    def __init__(
        self,
        *,
        id: typing.Optional[str] = None,
        myself: typing.Optional[bool] = None,
        company_id: typing.Optional[str] = None
    ) -> None:
        """Method generated by attrs for class Owner.
        """
        ...

    _unexpected: typing.Optional[typing.Dict[str, typing.Any]]
    id: typing.Optional[str]
    myself: typing.Optional[bool]
    company_id: typing.Optional[str]
